
/*
Expand or collapse a node in a tree view, or a show or hide a block element
on a page.
*/

var former;

function flipEntry(name)
{
	var item = document.getElementById(name);
	var showlink = document.getElementById(name + '_show');
	var hidelink = document.getElementById(name + '_hide');

	if (item.style.display == 'none')
	{
		item.style.display = former;
		hidelink.style.display = '';
		showlink.style.display = 'none';

	}
	else
	{
		former = item.style.display;
		item.style.display = 'none';
		hidelink.style.display = 'none';
		showlink.style.display = '';
	}
}

/* Force item to be hidden. */

function hideEntry(name)
{
	var item = document.getElementById(name);
	var showlink = document.getElementById(name + '_show');
	var hidelink = document.getElementById(name + '_hide');

	if (item.style.display == 'none')
	{
		;
	}
	else
	{
		former = item.style.display;
		item.style.display = 'none';
		hidelink.style.display = 'none';
		showlink.style.display = '';
	}
}

/* Force item to be visible. */

function showEntry(name)
{
	var item = document.getElementById(name);
	var showlink = document.getElementById(name + '_show');
	var hidelink = document.getElementById(name + '_hide');

	if (item.style.display == 'none')
	{
		item.style.display = former;
		showlink.style.display = 'none';
		hidelink.style.display = '';
	}
	else
	{
		;
	}
}

/* Switch back to a single-frame view. */
function hideFrames()
{
//	alert("Asked to close frames...");

//	alert("Old location: " + window.parent.location);
//	alert("New location: " + parent.frames[1].location);

  window.parent.location.href = parent.frames[1].location.href;
}


